aboutsummaryrefslogtreecommitdiff
path: root/i3blocks/i3music.sh
diff options
context:
space:
mode:
Diffstat (limited to 'i3blocks/i3music.sh')
-rwxr-xr-xi3blocks/i3music.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/i3blocks/i3music.sh b/i3blocks/i3music.sh
index bb646b9..d446b50 100755
--- a/i3blocks/i3music.sh
+++ b/i3blocks/i3music.sh
@@ -8,7 +8,7 @@ esac
symbol=🎵
ampersand='and' # & in echo messes up script
-pgrep -x cmus >/dev/null || (echo "" && exit 0)
+pgrep -x cmus >/dev/null || exit 0
stat="$(cmus-remote -Q | grep "^status " | awk '{print $2}' | sed "s/&/$ampersand/")"
artist="$(cmus-remote -Q | grep "^tag artist " | cut -d' ' -f3- | sed "s/&/$ampersand/")"
title="$(cmus-remote -Q | grep "^tag title " | cut -d' ' -f3- | sed "s/&/$ampersand/")"